﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
DATE:                  2011-01-18 09:51:18
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       220
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
#
#  Model(s) Covered:
#        TDS1000B Series
#          TDS 1001B, TDS 1002B, TDS 1012B
#        TDS2000B Series
#          TDS 2002B, TDS 2004B, TDS 2012B, TDS 2014B, TDS 2022B, TDS 2024B
#        TDS1000B-SC Series
#          TDS 1001B-SC, TDS 1002B-SC, TDS 1012B-SC
#        TDS1000C-SC Series
#          TDS 1001C-SC, TDS 1002C-SC, TDS 1012C-SC
#        TDS2000C Series
#          TDS 2001C, TDS2004C, TDS2002C, TDS2014C, TDS2012C
#          TDS2024C, TDS2022C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         EXTERNAL EDGE-TRIGGER SENSITIVITY (CH [V @Chan])
  1.002  VISA         *RST;HEADER OFF;*OPC?[I!]
  1.003  CALL         Sub Tek TDS1000B/2000B Select Channel VISA

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  RSLT         =EXTERNAL EDGE-TRIGGER SENSITIVITY
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]

  1.010  IF           @Bandwidth == 40E+6
  1.011  MATH         FreqMHz = "40  MHz"
  1.012  ELSEIF       @Bandwidth == 50E+6
  1.013  MATH         FreqMHz = "50 MHz"
  1.014  ELSEIF       @Bandwidth == 60E+6
  1.015  MATH         FreqMHz = "60 MHz"
  1.016  ELSEIF       @Bandwidth == 70E+6
  1.017  MATH         FreqMHz = "70 MHz"
  1.018  ELSEIF       @Bandwidth >= 100E+6
  1.019  MATH         FreqMHz = "100 MHz"
  1.020  ENDIF

  1.021  TARGET

  1.022  IF           @NumHeads == 2 || @NumHeads == 4
  1.023  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  1.024  DISP         Connect the 9500 to the UUT as follows:
  1.024  DISP         [32] CH 1 Active Head to UUT CH [V @Chan]
  1.024  DISP         [32] CH 2 Active Head to UUT EXT TRIG
  1.025  ENDIF

  1.026  HEAD         -2 Rising Slope, 200 mVpp at [V FreqMHz]
  1.027  VISA         CH[V @Chan]:PRO 1;SCA 100E-3
  1.028  VISA         HOR:SCA 10E-9
  1.029  VISA         TRIG:MAI:MOD NORM
  1.030  VISA         TRIG:MAI:EDGE:SOU EXT
  1.031  VISA         ACQ:MOD SAMP;STATE ON
  1.032  VISA         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2;*OPC?[I!]

# Firstly Set the output of the calibrator so the peak-to-peak measurement is
# approximately 400 mV.
  1.033  MATH         MEM = 400; MEM1 = MEM

  1.034  DO
  1.035  MATH         MEM = MEM1 + (400 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.036  IF           MEM > 2780 || MEM < 4.44
  1.037  MATH         MEM = 400
  1.038  ENDIF

  1.039  9500         mVpp                         10MH           LS    S
  1.040  VISA         TRIG:MAI SETL;*OPC?[I!]
  1.040  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  1.041  MATH         MEM = MEM / 1E-3
  1.042  UNTIL        (MEM >= 392) && (MEM <= 408)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 200 mVpp that is just the required test signal for external
# trig sensitivity.
  1.043  MATH         MEM = MEM1 / 2

  1.044  IF           @Bandwidth == 40E+6
  1.045  9500         mVpp                         40MH           LS    S
  1.046  ELSEIF       @Bandwidth == 50E+6
  1.047  9500         mVpp                         50MH           LS    S
  1.048  ELSEIF       @Bandwidth == 60E+6
  1.049  9500         mVpp                         60MH           LS    S
  1.050  ELSEIF       @Bandwidth == 70E+6
  1.051  9500         mVpp                         70MH           LS    S
  1.052  ELSEIF       @Bandwidth >= 100E+6
  1.053  9500         mVpp                         100MH          LS    S
  1.054  ENDIF

  1.055  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  1.056  MATH         @PeakValue = mVppStd / 2 * 1E-3
  1.057  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  1.058  MATH         RsltStr = " Rising Slope, 200 mVpp at " & FreqMHz
  1.059  EVAL   -e @Triggered : [V RsltStr]

  2.001  HEAD         -2 Falling Slope, 200 mVpp at [V FreqMHz]
  2.002  MATH         MEM = mVppStd

  2.003  IF           @Bandwidth == 40E+6
  2.004  9500         mVpp                         40MH           LS    S
  2.005  ELSEIF       @Bandwidth == 50E+6
  2.006  9500         mVpp                         50MH           LS    S
  2.007  ELSEIF       @Bandwidth == 60E+6
  2.008  9500         mVpp                         60MH           LS    S
  2.009  ELSEIF       @Bandwidth == 70E+6
  2.010  9500         mVpp                         70MH           LS    S
  2.011  ELSEIF       @Bandwidth >= 100E+6
  2.012  9500         mVpp                         100MH          LS    S
  2.013  ENDIF

  2.014  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
  2.015  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  2.016  MATH         RsltStr = " Falling Slope, 200 mVpp at " & FreqMHz
  2.017  EVAL   -e @Triggered : [V RsltStr]

  3.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]

# For UUT whose bandwidth is 200 MHz do additional test.
  3.002  IF           @Bandwidth == 200E+6
  3.003  HEAD         -2 Rising Slope at 200 MHz, 350 mVpp
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 700 mV, for the reason of using power slitter the output of
# calibrator is approximately twice of peak-to-peak measurement, i.e 1400 mV.
  3.004  MATH         MEM = 700; MEM1 = MEM

  3.005  DO
  3.006  MATH         MEM = MEM1 + (700 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.007  IF           MEM > 2780 || MEM < 4.44
  3.008  MATH         MEM = 700
  3.009  ENDIF

  3.010  9500         mVpp                         10MH           LS    S
  3.011  VISA         TRIG:MAI SETL;*OPC?[I!]
  3.012  VISA         [D1000]MEASU:MEAS[V @Chan]:VAL?[I]
  3.013  MATH         MEM = MEM / 1E-3
  3.014  UNTIL        (MEM >= 680) && (MEM <= 720)

# Then attenuate the output of calibrator to half so the input of UUT is
# approximately 350 mVpp that is just the required test signal for external
# trig sensitivity.
  3.015  MATH         MEM = MEM1 / 2
  3.016  9500         mVpp                         200MH          LS    S
  3.017  MATH         mVppStd = MEM1
# Save the peak value of signal for later checking the trigger status.
  3.018  MATH         @PeakValue = mVppStd / 2 * 1E-3
  3.019  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  3.020  MATH         RsltStr = " Rising Slope at 200 MHz, 350 mVpp"
  3.021  EVAL   -e @Triggered : [V RsltStr]

  4.001  HEAD         -2 Falling Slope at 200 MHz, 350 mVpp
  4.002  MATH         MEM = mVppStd
  4.003  9500         mVpp                         200MH          LS    S
  4.004  VISA         TRIG:MAI:EDGE:SLO FALL;*OPC?[I!]
  4.005  CALL         Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
  4.006  MATH         RsltStr = " Falling Slope at 200 MHz, 350 mVpp"
  4.007  EVAL   -e @Triggered : [V RsltStr]

  5.001  VISA         TRIG:MAI:EDGE:SLO RISE;*OPC?[I!]
  5.002  ENDIF

  5.003  HEAD         -2
  5.004  HEAD
  5.005  M9500        *
  5.006  9500         *                                                 S
  5.007  END
